%global momorel 1
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: A frontend to various audio converters
Name: soundkonverter
Version: 0.3.10
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.kde-apps.org/content/show.php?content=29024
Group: Applications/Multimedia
Source0: http://hessijames.googlepages.com/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: %{name}rc
Source10: admin.tar.bz2
Patch0: %{name}-0.3.2-desktop.patch
Patch1: %{name}-0.3.6-gcc43.patch
Patch2: %{name}-0.3.9-gcc44.patch
Patch10: %{name}-0.3.9-automake111.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: TiMidity++
Requires: cdparanoia
Requires: faac
Requires: faad2
Requires: flac
Requires: ffmpeg
Requires: icedax
Requires: lame
Requires: mplayer
Requires: speex
Requires: vorbis-tools
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: cdparanoia-devel
BuildPreReq: gettext
BuildPreReq: libtool
BuildPreReq: libxml2
BuildPreReq: taglib-devel

%description
soundKonverter is frontend to various audio converters.

It is extendable by plugins and supports many backends:
lame, oggenc, flac, musepack, faac, mplayer, ffmpeg - just to mention a few.
This way you can convert between various audio formats:
mp3, ogg, flac, mpc, aac, m4a, rm and wma, avi, flv (the latter reading only) for example.
soundKonverter supports reading and writing tags for many formats, so the tags are preserved when converting files.

The key features are:
- Audio conversion
- Replay Gain calculation
- CD ripping

soundKonverter comes with an Amarok script that allows you to easily transcode files when transfering to your media device.

%prep
%setup -q

%patch0 -p1 -b .desktop~

# fix for new automake
rm -rf admin
tar xf %{SOURCE10}

%patch10 -p1 -b .automake111

make -f admin/Makefile.common cvs

%patch1 -p1 -b .gcc43~
%patch2 -p1 -b .gcc44~

case "`gcc -dumpversion`" in
4.4.*)
    sed -i -e "s|^return main ();|// return main ();|" configure
;;
esac

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
        --with-extra-includes=%{_includedir}/kde \
        --with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install soundkonverterrc
mkdir -p %{buildroot}%{_datadir}/config
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/config/

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/soundkonverter.png %{buildroot}%{_datadir}/pixmaps/soundkonverter.png

# symlink to userscript.sh
pushd %{buildroot}%{_bindir}
ln -s ../share/apps/soundkonverter/userscript.sh userscript.sh
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/soundkonverter
%{_bindir}/userscript.sh
%{_datadir}/applications/kde/soundkonverter.desktop
%{_datadir}/apps/konqueror/servicemenus/audiocd_extract_with_soundkonverter.desktop
%{_datadir}/apps/soundkonverter
%{_datadir}/kde4/apps/solid/actions/soundkonverter-rip-audiocd.desktop
%{_datadir}/config/soundkonverterrc
%{_datadir}/doc/HTML/*/soundkonverter
%{_datadir}/icons/hicolor/*/apps/soundkonverter*.png
%{_datadir}/locale/*/LC_MESSAGES/soundkonverter.mo
%{_datadir}/pixmaps/soundkonverter.png
%{_datadir}/mimelnk/application/x-*.desktop
%{_datadir}/mimelnk/audio/x-*.desktop
%{_datadir}/mimelnk/audio/amr.soundkonverter.desktop
%{_datadir}/mimelnk/video/x-flv.soundkonverter.desktop

%changelog
* Mon Jul 13 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.10-1m)
- update to 0.3.10
- userscript.sh is installed to /usr/share/apps/soundkonverter

* Wed May 20 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.9-5m)
- fix build with new automake

* Fri Mar 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.9-4m)
- remove klineedit workaround for gcc44

* Wed Feb  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.9-3m)
- modify configure when gcc44
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.9-2m)
- rebuild against rpm-4.6

* Sat Nov  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.9-1m)
- update to 0.3.9

* Wed Jun 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.8-1m)
- update to 0.3.8

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.7-2m)
- rebuild against qt3

* Mon Apr 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.7-1m)
- update to 0.3.7

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.7-0.1.2m)
- rebuild against gcc43

* Fri Mar  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.7-0.1.1m)
- version 0.3.7-beta

* Fri Feb 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.6-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Fri Feb 22 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.6-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Tue Sep  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.6-1m)
- version 0.3.6
- do not use %%NoSource macro

* Sat Aug  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.4-2m)
- replace Source0 to new tar-ball

* Mon Jul 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.4-1m)
- version 0.3.4

* Tue Jun 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-4m)
- change Requires from kdebase to kdelibs

* Fri Jun  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-3m)
- set ripper=cdda2wav to avoid crashing at initial start up

* Fri Jun  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-2m)
- good-bye cdrtools and welcome cdrkit

* Tue May 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-1m)
- version 0.3.3

* Thu Apr 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-1m)
- version 0.3.2

* Sat Dec 16 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.95-1m)
- initial build for Momonga Linux 3
